Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.local.io
Class TapFileOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FileOutputStream
              cascading.tap.local.io.TapFileOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class TapFileOutputStream

extends FileOutputStream

Constructor Summary
`TapFileOutputStream(String path, boolean append)`
`TapFileOutputStream(Tap parent, String path, boolean update)`

Method Summary

Methods inherited from class java.io.FileOutputStream
`close, finalize, getChannel, getFD, write, write, write`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapFileOutputStream

    public TapFileOutputStream(String path,
                               boolean append)
                        throws FileNotFoundException

Throws:
  `FileNotFoundException`

### TapFileOutputStream

    public TapFileOutputStream(Tap parent,
                               String path,
                               boolean update)
                        throws FileNotFoundException

Throws:
  `FileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.